Package org.apache.felix.atomos.maven.configs

## Class MavenIndexConfig

- java.lang.Object
- - org.apache.felix.atomos.maven.configs.MavenIndexConfig

    public class MavenIndexConfig
    extends Object

### Field Summary

Fields
`File` `indexOutputDirectory`
`org.apache.felix.atomos.utils.core.plugins.index.IndexOutputType` `indexOutputType`

### Constructor Summary

Constructors
`MavenIndexConfig()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### indexOutputType

    @Parameter(required=false,
               readonly=false)
    public org.apache.felix.atomos.utils.core.plugins.index.IndexOutputType indexOutputType

#### indexOutputDirectory

    @Parameter(required=false,
               readonly=false)
    public File indexOutputDirectory

### Constructor Detail

#### MavenIndexConfig

    public MavenIndexConfig()